CP 3.0.0rc1 and OMERO 5.3.1, Ice.UnmarshalOutOfBoundsException

cellprofiler
omero
conda

#1

Hi,

I have installed CellProfiler on my Ubuntu 14.04 workstation from GitHub using Conda (see https://gist.github.com/hajaalin/9bbc3a932013514366c5e1a0748661a2). I’m trying to load an image from OMERO (v5.3.1) using the LoadData module. Login works, CellProfiler says it’s connected and I see the login also in OMERO logs. But then the LoadData module fails with Ice.UnmarshalOutOfBoundsException (here’s the complete stack trace: https://pastebin.com/FSGsqP3b).

I read in https://github.com/CellProfiler/CellProfiler/wiki/OMERO:-Accessing-images-from-CellProfiler that I should check the versions of the OME jars, but I don’t see the folder imagej/jars in my CellProfiler installation. Is the document outdated for version 3.0.0 or am I maybe missing something in my Conda environment file?

Thanks in advance, best regards,
Harri


#2

That page is indeed SUPER out of date, I’m not sure how the instructions within would translate to 3.0.0. I’ve forwarded your inquiry to our software team, who may be able to give you more help.


#3

Hey, @hajaalin! That’s a bummer. It’s possible you have an outdated version of prokaryote (the Python package that bundles CellProfiler’s Java dependencies) or python-bioformats. Would you mind trying to upgrade them? It should be straightforward:

pip install --upgrade prokaryote python-bioformats

Let me know!


#4

Hi @agoodman and @bcimini, thanks for quick reply! The packages seem to be up-to-date already:

(cellprofiler-master) hajaalin@dhcp-asv-66:~$ pip list |grep bioformats
python-bioformats (1.1.0)
(cellprofiler-master) hajaalin@dhcp-asv-66:~$ pip list |grep prokar
prokaryote (1.0.11)
(cellprofiler-master) hajaalin@dhcp-asv-66:~$ 
(cellprofiler-master) hajaalin@dhcp-asv-66:~$ pip install --upgrade prokaryote python-bioformats
Requirement already up-to-date: prokaryote in ./miniconda2/envs/cellprofiler-master/lib/python2.7/site-packages
Requirement already up-to-date: python-bioformats in ./miniconda2/envs/cellprofiler-master/lib/python2.7/site-packages
Requirement already up-to-date: javabridge>=1.0 in ./miniconda2/envs/cellprofiler-master/lib/python2.7/site-packages (from python-bioformats)
Requirement already up-to-date: numpy in ./miniconda2/envs/cellprofiler-master/lib/python2.7/site-packages (from javabridge>=1.0->python-bioformats)


#5

It seems prokaryote is at OMERO 5.2.2, maybe that explains it :slight_smile:.


#6

Hi,

We’re having similar problem with CellProfiler 2.2 since we upgraded to OMERO 5.3. Do you guys have a working Prokaryote that we could use ? Or at least a documentation on what to do ?

That would be super helpful ! :).

Thanks !


#7

Looks like this turned into a Github issue here in case people want to track it: https://github.com/CellProfiler/prokaryote/issues/33